# user Class Reference

user plugin More...

Inheritance diagram for user:

List of all members.

## Public Member Functions

| user ($dn=NULL)
| execute ()
| execute plugin
| remove_from_parent ()
| save_object ()
| save ()
| check ()

## Public Attributes

| base = ""
| cn = ""
| personalTitle = ""
| academicTitle = ""
| homePostalAddress = ""
| homePhone = ""
| labeledURI = ""
| o = ""
| ou = ""
| departmentNumber = ""
| employeeNumber = ""
| employeeType = ""
| roomNumber = ""
| telephoneNumber = ""
| facsimileTelephoneNumber = ""
| mobile = ""
| pager = ""
| l = ""
| st = ""
| postalAddress = ""
| jpegPhoto = "*removed*"
| photoData = ""
| old_jpegPhoto = ""
| old_photoData = ""
| cert_dialog = FALSE
| picture_dialog = FALSE
| userPKCS12 = ""
| userSMIMECertificate = ""
| userCertificate = ""
| certificateSerialNumber = ""
| old_certificateSerialNumber = ""
| old_userPKCS12 = ""
| old_userSMIMECertificate = ""
| old_userCertificate = ""
| gouvernmentOrganizationalUnit = ""
| houseIdentifier = ""
| street = ""
| postalCode = ""
| vocation = ""
| ivbbLastDeliveryCollective = ""
| gouvernmentOrganizationalPersonLocality = ""
| gouvernmentOrganizationalUnitDescription = ""
| gouvernmentOrganizationalUnitSubjectArea = ""
| functionalTitle = ""
| role = ""
| publicVisible = ""
| pw_storage = "crypt"
| last_pw_storage = "crypt"
| attributes
| objectclasses = array("person", "organizationalPerson", "inetOrgPerson", "gosaAccount")

## Detailed Description

user plugin

Author:
  Cajus Pollmeier <pollmeier@gonicus.de>

Version:
  2.00

Date:
  24.07.2003

This class provides the functionality to read and write all attributes relevant for person, organizationalPerson, inetOrgPerson and gosaAccount from/to the LDAP. It does syntax checking and displays the formulars required.

## Member Function Documentation

user::execute | ( |  | ) |

| execute plugin Generates the html output for this node Reimplemented from plugin.

## Member Data Documentation

user::attributes

Initial value:

     array("sn", "givenName", "uid", "personalTitle", "academicTitle",
            "homePostalAddress", "homePhone", "labeledURI", "o", "ou",
            "departmentNumber", "employeeNumber", "employeeType", "l", "st",
            "roomNumber", "telephoneNumber", "mobile", "pager", "cn", "userPKCS12",
            "postalAddress", "facsimileTelephoneNumber", "userSMIMECertificate",
            "gouvernmentOrganizationalUnit", "houseIdentifier", "vocation",
            "ivbbLastDeliveryCollective", "gouvernmentOrganizationalPersonLocality",
            "gouvernmentOrganizationalUnitDescription", "postalCode", "street",
            "gouvernmentOrganizationalUnitSubjectArea", "functionalTitle",
            "role", "certificateSerialNumber", "publicVisible")

Reimplemented from plugin.

The documentation for this class was generated from the following file:

- class_user.inc